Class | Rake::RuleRecursionOverflowError
In: | lib/rake.rb
Parent: | StandardError

### Methods

add_target message new

### Public Class methods

new(*args)

[Source]

          # File lib/rake.rb, line 1099
    1099:     def initialize(*args)
    1100:       super
    1101:       @targets = []
    1102:     end

### Public Instance methods

add_target(target)

[Source]

          # File lib/rake.rb, line 1104
    1104:     def add_target(target)
    1105:       @targets << target
    1106:     end

message()

[Source]

          # File lib/rake.rb, line 1108
    1108:     def message
    1109:       super + ": [" + @targets.reverse.join(' => ') + "]"
    1110:     end

[Validate]